iEventCord Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iEventCord Struct Reference
Event handling

The iEventCord is an interface provided by an event queue to any event handlers wanting to receive some subclasses of events ASAP in a specified priority, bypassing the queue itself. More...

`#include <iutil/event.h>`

Inheritance diagram for iEventCord:

List of all members.

## Public Member Functions
virtual csEventID | GetName () const =0
| Get the category of this cord.
virtual bool | GetPass () const =0
| Returns true if events are passed on to the owning event queue if all plugins in the cord return false from HandleEvent().
virtual int | Insert (iEventHandler *, int priority)=0
| Insert an event handler into the cord.
virtual void | Remove (iEventHandler *)=0
| Remove an event handler from the cord.
virtual void | SetPass (bool)=0
| Sets whether events are passed along to the owning event queue if all plugins in the cord return false from HandleEvent().

## Detailed Description

The iEventCord is an interface provided by an event queue to any event handlers wanting to receive some subclasses of events ASAP in a specified priority, bypassing the queue itself.

Events may also optionally be sent to the normal event queue itself if none of the event handlers in the cord handle the event.

Definition at line 542 of file event.h.

## Member Function Documentation

virtual csEventID iEventCord::GetName | ( |  | ) | const`[pure virtual]`

Get the category of this cord.

Implemented in csEventCord.

virtual bool iEventCord::GetPass | ( |  | ) | const`[pure virtual]`

Returns true if events are passed on to the owning event queue if all plugins in the cord return false from HandleEvent().

Implemented in csEventCord.

virtual int iEventCord::Insert | ( | iEventHandler * | ,
|  | int | priority
| ) |  | `[pure virtual]`

Insert an event handler into the cord.

The priority defines when it will receive the event with respect to other registered event handlers. Event handlers with the same priority are handled in a first-come first-served fashion. This is significant since returning true from HandleEvent() will stop further event processing.

Implemented in csEventCord.

virtual void iEventCord::Remove | ( | iEventHandler * |  | ) | `[pure virtual]`

Remove an event handler from the cord.

Implemented in csEventCord.

virtual void iEventCord::SetPass | ( | bool |  | ) | `[pure virtual]`

Sets whether events are passed along to the owning event queue if all plugins in the cord return false from HandleEvent().

Implemented in csEventCord.

The documentation for this struct was generated from the following file:

- iutil/event.h